API Reference

Retrieve QoS profiles v1.1

Returns all QoS Profiles that match the given criteria.

NOTES:

  • The access token may be either a 2-legged or 3-legged access token.
  • If the access token is 3-legged, all returned QoS Profiles will be available to the subject (device) associated with the access token.
  • If the access token is 2-legged and a device filter is provided, all returned QoS Profiles will be available to that device. If multiple device identifiers are provided within the device property, only QoS Profiles available to the device identifier chosen by the implementation will be returned, even if the identifiers do not match the same device. API provider does not perform any logic to validate/correlate that the indicated device identifiers match the same device. No error should be returned if the identifiers are otherwise valid to prevent API consumers correlating different identifiers with a given end user.
  • This call uses the POST method instead of GET to comply with the CAMARA Commonalities guidelines for sending sensitive or complex data in API calls. Since the device field may contain personally identifiable information, it should not be sent via GET. Additionally, this call may include complex data structures.
    CAMARA API Design Guidelines

The Quality-of-Service (QoS) Profiles API provides a set of predefined network performance characteristics, such as latency, throughput, and priority, identified by a unique name. These profiles allow application developers to specify the desired network behavior for their application's data traffic, ensuring optimal performance. By selecting an appropriate QoS profile, developers can request stable latency (reduced jitter) or throughput for specific data flows between client devices and application servers when used by the Quality-On-Demand APIs.

Introduction

QoS Profiles are used in conjunction with other Quality-On-Demand APIs, to offer the API consumer the capability to request for stable latency (reduced jitter) or throughput for some specified application data flows between application clients (within a user device) and Application Servers (backend services). The API consumer has a pre-defined set of Quality of Service (QoS) profiles which they could choose from depending on their latency or throughput requirements. The QoS profiles are defined by the API provider and are mapped to the connectivity characteristics of the supported networks.

API functionality

The QoS Profiles API provides the following functionality:

  • Discover all QoS profiles offered by the API provider
  • Discover the available QoS profiles for a specific device
  • Retrieve the characteristics of a specific QoS profile by name

How QoS profiles are mapped to connectivity characteristics are subject to agreements between the API provider and the API consumer. Within the CAMARA project, you can find a sample for such a mapping of QoS profiles. CAMARA QoS Profiles Mapping Table (REFERENCE DRAFT)

Check the Authorization guide on how to get an OAuth2 token, with the following scope:

dpv:RequestedServiceProvision#qod

Create an app on our Sandbox to get credentials and retrieve tokens so you can perform API calls to our operators' production environments, or use the following convenience token to test in mock mode:

mock_sandbox_access_token

You can explore our QoD sample code for additional guidance on using this API.

Body Params

Parameters to query QoS Profiles for a given device

Request object for QoS Profiles for a given device

device
object

End-user equipment able to connect to a mobile network. Examples of devices include smartphones or IoT sensors/actuators.

The developer can choose to provide the below specified device identifiers:

  • ipv4Address
  • ipv6Address
  • phoneNumber
  • networkAccessIdentifier

NOTE: the MNO might support only a subset of these options. The API invoker can provide multiple identifiers to be compatible across different MNOs. In this case the identifiers MUST belong to the same device

string
length between 3 and 256
^[a-zA-Z0-9_.-]+$

A unique name for identifying a specific QoS profile.
This may follow different formats depending on the service providers implementation.
Some options addresses:

  • A UUID style string
  • Support for predefined profiles QOS_S, QOS_M, QOS_L, and QOS_E
  • A searchable descriptive name
string
enum

The current status of the QoS Profile

  • ACTIVE- QoS Profile is available to be used
  • INACTIVE- QoS Profile is not currently available to be deployed
  • DEPRECATED- QoS profile is actively being used in a QoD session, but can not be deployed in new QoD sessions
Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json